playMaker

Author Topic: Playmaker 1.7.8 Released - Unity 5 compatible  (Read 26820 times)

luckypham

  • Playmaker Newbie
  • *
  • Posts: 1
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #45 on: March 10, 2015, 12:20:24 AM »
I have created a new Unity 5 (x64) project and import Playmaker 1.7.8, and see a notify from Unity Upgrade. I have accepted it but failed. Next I see many many error from new API upgrade. In readme I get an upgrade note, and version dll is 1.7.7f6. I have readed previous comment in this topic and can you tell me my version or any idea for my problem,
Thank you.
« Last Edit: March 10, 2015, 01:46:00 AM by luckypham »

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 12344
  • Official Playmaker Support
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #46 on: March 10, 2015, 03:05:35 AM »
Hi,

 Can you open a new thread and mention accuratly the errors you get ( pasting the actual errors in the post), otherwise it's going to be tricky to help you effectivly.

PlayMaker dll version will remain 1.7.7f6 even if it's 1.7.8, that's unfortunate, but a constraint on the current release, hopefully the next one will be able to have its version updated properly. So simple make sure you install from the Asset store and you are good to go.


 Bye,

 Jean

UndercoverDesigns

  • Playmaker Newbie
  • *
  • Posts: 6
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #47 on: March 10, 2015, 07:07:15 AM »
Hi,

 If you click on this error, what file is it pinging in the project. What is the source code of your empty test script or that file that is pinged if different?

Bye,

 Jean

All of the errors are within Playmaker source files, none are in my test script.  In total, there are 34 errors, and they are all namespace issues.  I have completely wiped Unity 5.0.0.f4 off of my Mac, reinstalled it clean and retrieved Playmaker 1.7.8 from the asset store.  I have also reproduced it on my Windows 7 machine, again with a clean install and project.  I have included a sample below:

Code: [Select]
LookAtActionEditor.cs(35,35): Error CS0246: The type or namespace name `CustomActionEditor' could not be found. Are you missing a using directive or an assembly reference? (CS0246) (Assembly-CSharp-Editor)

MoveTowardsActionEditor.cs(40,40): Error CS0246: The type or namespace name `CustomActionEditor' could not be found. Are you missing a using directive or an assembly reference? (CS0246) (Assembly-CSharp-Editor)

SetCameraFOVActionEditor.cs(45,45): Error CS0246: The type or namespace name `CustomActionEditor' could not be found. Are you missing a using directive or an assembly reference? (CS0246) (Assembly-CSharp-Editor)

AboutWindow.cs(34,34): Error CS0246: The type or namespace name `AboutPlaymaker' could not be found. Are you missing a using directive or an assembly reference? (CS0246) (Assembly-CSharp-Editor)

ContextToolWindow.cs(55,55): Error CS0234: The type or namespace name `ToolWindow' does not exist in the namespace `HutongGames.PlayMakerEditor'. Are you missing an assembly reference? (CS0234) (Assembly-CSharp-Editor)

FsmActionWindow.cs(53,53): Error CS0234: The type or namespace name `ActionSelector' does not exist in the namespace `HutongGames.PlayMakerEditor'. Are you missing an assembly reference? (CS0234) (Assembly-CSharp-Editor)

FsmEditorWindow.cs(53,53): Error CS0234: The type or namespace name `BaseEditorWindow' does not exist in the namespace `HutongGames.PlayMakerEditor'. Are you missing an assembly reference? (CS0234) (Assembly-CSharp-Editor)

FsmErrorWindow.cs(52,52): Error CS0234: The type or namespace name `ErrorSelector' does not exist in the namespace `HutongGames.PlayMakerEditor'. Are you missing an assembly reference? (CS0234) (Assembly-CSharp-Editor)

FsmEventsWindow.cs(53,53): Error CS0234: The type or namespace name `GlobalEventsWindow' does not exist in the namespace `HutongGames.PlayMakerEditor'. Are you missing an assembly reference? (CS0234) (Assembly-CSharp-Editor)

FsmGlobalsWindow.cs(54,54): Error CS0234: The type or namespace name `GlobalVariablesWindow' does not exist in the namespace `HutongGames.PlayMakerEditor'. Are you missing an assembly reference? (CS0234) (Assembly-CSharp-Editor)
« Last Edit: March 10, 2015, 09:02:42 AM by UndercoverDesigns »

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 12344
  • Official Playmaker Support
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #48 on: March 10, 2015, 10:53:04 PM »
Hi,

Quick note: I never had to wipe and reinstall anything. So when you have issues, make sure you contact first the forum and all, cause it's generally not required to reinstall Unity.

Ok, Let's take this one step at a time.

-- Is it a fresh new project?

-- can you confirm that you have the file "LookAtActionEditor.cs" in your project for example?


Bye,

 Jean

UndercoverDesigns

  • Playmaker Newbie
  • *
  • Posts: 6
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #49 on: March 11, 2015, 08:17:17 AM »
Hi,

Quick note: I never had to wipe and reinstall anything. So when you have issues, make sure you contact first the forum and all, cause it's generally not required to reinstall Unity.

Ok, Let's take this one step at a time.

-- Is it a fresh new project?

-- can you confirm that you have the file "LookAtActionEditor.cs" in your project for example?


Bye,

 Jean

Yes, it is a brand-new, clean project, and the files which have the errors are present in the project.  I can compress and send the project, if that would be helpful?

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 12344
  • Official Playmaker Support
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #50 on: March 11, 2015, 08:56:07 AM »
Hi,

 yes please. Are you on windows or mac?

 Bye,

 Jean

UndercoverDesigns

  • Playmaker Newbie
  • *
  • Posts: 6
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #51 on: March 13, 2015, 11:38:33 AM »
Hi,

 yes please. Are you on windows or mac?

 Bye,

 Jean

It occurs on both Windows and Mac.

The dropbox link is in a private message.

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 12344
  • Official Playmaker Support
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #52 on: March 17, 2015, 11:44:26 PM »
Hi,

 no errors at all here. opened the project and openeds th escene test, hit play all is well.

 WARNING: Do not use the Resources folder to host content, this is special folder for Unity and content you want to load on demand using the action "resourceLoad".

so make sure you don't use that folder this way. it's not supposed to host your scenes ( at least in 99% of the cases).

 Bye,

 Jean

UndercoverDesigns

  • Playmaker Newbie
  • *
  • Posts: 6
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #53 on: March 18, 2015, 06:14:52 AM »
Did you open the test script in MonoDevelop and attempt to build?  That is when I'm getting the errors.  There are no issues within the Unity Editor.

Hi,

 no errors at all here. opened the project and openeds th escene test, hit play all is well.

 WARNING: Do not use the Resources folder to host content, this is special folder for Unity and content you want to load on demand using the action "resourceLoad".

so make sure you don't use that folder this way. it's not supposed to host your scenes ( at least in 99% of the cases).

 Bye,

 Jean

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3205
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #54 on: March 18, 2015, 08:36:00 AM »
Unity 5 fails to add third party dlls to the solution the way it did in Unity 4. So you have to add references to PlayMaker.dll and PlayMakerEditor.dll in the relevant projects. Hopefully Unity will fix this in a patch...

UndercoverDesigns

  • Playmaker Newbie
  • *
  • Posts: 6
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #55 on: March 18, 2015, 08:47:47 AM »
This solved the problem.

PlayMaker.dll was already referenced, but I had to add references to PlayMakerEditor.dll and PlayMakerEditorResources.dll.

Thanks so much!

Unity 5 fails to add third party dlls to the solution the way it did in Unity 4. So you have to add references to PlayMaker.dll and PlayMakerEditor.dll in the relevant projects. Hopefully Unity will fix this in a patch...

AdamJ

  • Playmaker Newbie
  • *
  • Posts: 11
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #56 on: March 19, 2015, 02:54:10 AM »
Hey!

Thought i'd post here rather than start a new thread.

I'm having the 'Plugin 'PlayMaker.dll' is used from several locations' Error... I can fix this by following the TroubleShooting suggested, however when I do this it deletes all of the Fsms in my scene. I kept the 'Resources' Folder but this didn't seem to affect anything.

Its quite possible i'm missing something obvious here but any help would be appreciated.

The full error message is:

"Plugin 'PlayMaker.dll' is used from several locations:
 Assets/Plugins/PlayMaker/PlayMaker.dll would be copied to <PluginPath>/PlayMaker.dll
 Assets/PlayMaker/PlayMaker.dll would be copied to <PluginPath>/PlayMaker.dll
Please fix plugin settings and try again.

UnityEditor.Modules.DefaultPluginImporterExtension:CheckFileCollisions(String)
UnityEditorInternal.PluginsHelper:CheckFileCollisions(BuildTarget) (at C:/buildslave/unity/build/Editor/Mono/Plugins/PluginsHelper.cs:25)
UnityEditor.HostView:OnGUI()"

I also have the error:

"Plugins colliding with each other."

If i need to add references as suggested in the previous post could any one let me know how to do this? I am very new to all this!

(Quick edit: I get this error when building!)


Thanks!
« Last Edit: March 19, 2015, 03:00:17 AM by AdamJ »

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3205
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #57 on: March 19, 2015, 05:36:25 AM »

AdamJ

  • Playmaker Newbie
  • *
  • Posts: 11
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #58 on: March 19, 2015, 07:04:04 AM »
Script worked a treat thanks allot!

mensch.mueller

  • Playmaker Newbie
  • *
  • Posts: 4
    • View Profile
Re: Playmaker 1.7.8 Released - Unity 5 compatible
« Reply #59 on: March 22, 2015, 10:23:38 AM »
When will playmaker and Unity 5 play well together? This is a real pain now!!!! I´m trying to work with Unity5 and playmaker 1.7.8.3 and its really not usable. Every time i saved the scene and hit play the things changed in playmaker are resetted. I really think I should learn scripting, because playmaker is not working as expected(or going back to Unity 4). Is there a timeframe when playmaker is working with Unity 5?